> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Aggiungi tag alla sessione

> Aggiunge tag a una sessione (rimuovendo i duplicati rispetto ai tag esistenti).

<Note>
  Il `devin_id` è l'ID della sessione con il prefisso `devin-` (ad esempio, `devin-abc123`).
</Note>


## OpenAPI

````yaml it/v3-openapi.yaml POST /v3/enterprise/sessions/{devin_id}/tags
openapi: 3.1.0
info:
  description: API Devin v3 con autenticazione utente di servizio e RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/sessions/{devin_id}/tags:
    post:
      tags:
        - sessions
      summary: Aggiungi tag alla sessione
      description: >-
        Aggiunge tag a una sessione (rimuovendo i duplicati rispetto ai tag
        esistenti).
      operationId: >-
        handle_append_account_session_tags_v3_enterprise_sessions__devin_id__tags_post
      parameters:
        - description: 'ID sessione di Devin (prefisso: devin-)'
          in: path
          name: devin_id
          required: true
          schema:
            anyOf:
              - type: string
              - type: 'null'
            example: devin-abc123def456
            title: Devin Id
        - in: query
          name: org_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Org Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SessionTagsUpdateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionTagsResponse'
          description: Risposta con esito positivo
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di validazione
components:
  schemas:
    SessionTagsUpdateRequest:
      properties:
        tags:
          items:
            type: string
          maxItems: 50
          title: Tags
          type: array
      required:
        - tags
      title: SessionTagsUpdateRequest
      type: object
    SessionTagsResponse:
      properties:
        tags:
          items:
            type: string
          title: Tags
          type: array
      required:
        - tags
      title: SessionTagsResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Credenziale dell''utente del servizio (prefisso: cog_)'
      scheme: bearer
      type: http

````